




<!-- NEWS.md was auto-generated by NEWS.Rmd. Please DO NOT edit by hand!-->

## Changes in version 0.9.16 (2021-11-25)

**This package version requires R \>= 4.0.5**

### New functions

-   `combine_Dr_De()` This function allows to model dose rate and
    equivalent dose distributions to obtain an age from Bayesian
    modelling using both distributions. In the back a couple of
    additional functions have been added to support this novel approach.
    This function requires [JAGS](https://mcmc-jags.sourceforge.io)
    (supported through `'rjags'`) on your computer along with a couple
    of other R packages prompted to you when you first try to use this
    function.

-   `plot_OSLAgeSummary()` Posterior distribution plot of ages. This
    function is used by `combine_De_Dr()`, however, it can be used as
    stand-alone plot.

### Bugfixes and changes

#### `analyse_FadingMeasurement()`

-   If run in a loop (e.g., with `lapply()`), merging of the results
    with `merge_RLum()` failed, because the returned objects were not
    always strictly identical; fixed.

#### `analyse_SAR.CWOSL()`

-   If all dose points were 0, the function crashed; fixed.

#### `calc_CentralDose()`

-   The output in element `output$summary` was confusing for
    `log = FALSE`. While the terminal output was correct, no
    differentiation was made between absolute and relative values in the
    output object depending on the `log` mode. Now two more columns were
    added to report the overdispersion always in absolute units
    (whatever that may be) and relative (thanks to Li Bo for reporting
    this problem).
-   No claim on the unit (e.g., Gy or s) is anymore made in the terminal
    output because we do not determine this information. Instead now
    ‘abs.’ for absolute is used.

#### `read_BIN2R()`

-   The function crashed if it was run in a loop and encountered
    non-supported files; fixed.
-   The function does not crash anymore for zero-byte files but skips
    the import, returns a message and `NULL`.
-   For BINX files created using and EM-CCD camera the function created,
    under particular circumstances, invalid records that could not be
    further transformed; fixed (thanks to Anna-Maartje de Boer for
    reporting).

#### `plot_RadialPlot()`

-   The function does not mess anymore with the `par()` settings of
    other subsequent plots

#### `plot_GrowthCurve()`

-   The function crashed in combination with
    `analyse_SAR.CWOSL(...,fit.weights = TRUE)` for unfortunate Lx/Tx
    error values (means, `Inf`) caused by noise-like OSL data; fixed.
    Thanks to Frederik Baumgarten for reporting the issue.

### Internals

-   New dependency to the package `'mclust'` required by the two new
    functions.
